> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/cafsmartauth/references.md).

# Referências

### `CafFilterStyle`

| Campo         | Descrição                                                  |
| ------------- | ---------------------------------------------------------- |
| `natural`     | A selfie original capturada.                               |
| `lineDrawing` | Um filtro de desenho de linha aplicado à selfie capturada. |

### `CafFaceLivenessSettings`

| Campo               | Descrição                                                       |
| ------------------- | --------------------------------------------------------------- |
| `faceLivenessToken` | Token de uso associado à sua conta CAF.                         |
| `useLoadingScreen`  | Valor booleano para ativar ou desativar a tela de carregamento. |
| `filter`            | Estilo de filtro a ser aplicado à selfie capturada.             |

### `CafSmartAuthError`

O `CafSmartAuthError` enum representa vários tipos de erros que podem ocorrer no SDK:

| Error                | Descrição                                                                    |
| -------------------- | ---------------------------------------------------------------------------- |
| `PermissionReason`   | Alguma permissão obrigatória está faltando.                                  |
| `AvailabilityReason` | CafSmartAuth não está disponível para uso.                                   |
| `NetworkReason`      | Falha na conexão com a internet.                                             |
| `ServerReason`       | Quando uma solicitação recebe um código de status de falha.                  |
| `SecurityReason`     | O SDK não pode ser iniciado devido a um problema relacionado à segurança.    |
| `StorageReason`      | Não há espaço suficiente no armazenamento interno do dispositivo do usuário. |
| `PolicyReason`       | Uma política em uso não é compatível com o SDK.                              |
| `GetLocationReason`  | Erro ao recuperar a localização do usuário.                                  |
| `TerminateByUser`    | O processo foi encerrado pelo usuário.                                       |

### `CafFailureType`

O `CafFailureType` enum representa códigos detalhados de feedback para falhas de liveness:

| Valor do enum        | Descrição                                                                                                      | GPA | LA |
| -------------------- | -------------------------------------------------------------------------------------------------------------- | --- | -- |
| `unknown`            | Tente novamente                                                                                                | ✅   | ❌  |
| `movimentoExcessivo` | Fique parado                                                                                                   | ✅   | ❌  |
| `muitoBrilhante`     | Mova-se para um lugar mais escuro                                                                              | ✅   | ❌  |
| `muitoEscuro`        | Mova-se para um lugar mais claro                                                                               | ✅   | ❌  |
| `rostoDesalinhado`   | Mantenha o rosto dentro do oval                                                                                | ✅   | ❌  |
| `rostoMuitoLonge`    | Aproxime o rosto da tela                                                                                       | ✅   | ❌  |
| `rostoMuitoPerto`    | Afaste o rosto da tela                                                                                         | ✅   | ❌  |
| `sunglasses`         | Remova os óculos de sol                                                                                        | ✅   | ❌  |
| `systemError`        | Erro do sistema                                                                                                | ⚠️  | ✅  |
| `rejeitado`          | A transação não pôde ser concluída                                                                             | ⚠️  | ✅  |
| `faceNotFound`       | Alinhe seu rosto no oval e depois tente ficar parado                                                           | ⚠️  | ✅  |
| `rostoObstruído`     | Certifique-se de que todo o seu rosto esteja visível e remova quaisquer acessórios que possam cobrir seu rosto | ✅   | ✅  |
| `timeout`            | Tempo limite do sistema                                                                                        | ⚠️  | ✅  |
| `eyewear`            | Remova seus óculos                                                                                             | ⚠️  | ✅  |
| `múltiplosRostos`    | Certifique-se de que apenas uma pessoa esteja visível                                                          | ✅   | ✅  |
| `olhosFechados`      | Certifique-se de que seus olhos estejam abertos                                                                | ✅   | ✅  |
| `userNotFound`       | A transação não pôde ser concluída                                                                             | ⚠️  | ✅  |
| `lightingIssues`     | Certifique-se de que seu rosto esteja bem iluminado e sem reflexos                                             | ⚠️  | ✅  |
| `framesBlurry`       | Alinhe seu rosto no oval e depois tente ficar parado                                                           | ⚠️  | ✅  |
| `deviceIssue`        | Tente um dispositivo diferente                                                                                 | ⚠️  | ✅  |
| `motionIssue`        | Alinhe seu rosto no oval e depois tente ficar parado                                                           | ⚠️  | ✅  |
| `backgroundIssue`    | Mova-se para um local diferente com um fundo neutro                                                            | ⚠️  | ✅  |
| `deviceRestart`      | Reinicie seu dispositivo e tente novamente                                                                     | ⚠️  | ✅  |
| `processingFault`    | Tente novamente                                                                                                | ⚠️  | ✅  |

Chave: ✅ = será retornado, ❌ = não será retornado, ⚠️ = pode ser retornado no futuro

Esta seção fornece uma referência às principais propriedades configuráveis e aos possíveis erros para o *CafSmartAuth* SDK no iOS.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/cafsmartauth/references.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
